Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::ServantRetentionPolicy Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::ServantRetentionPolicy:

[legend]
Collaboration diagram for PortableServer::ServantRetentionPolicy:

[legend]
List of all members.

## Public Types
typedef ServantRetentionPolicy_ptr | _ptr_type
typedef ServantRetentionPolicy_var | _var_type
## Public Methods
virtual::PortableServer::ServantRetentionPolicyValue | value (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
ServantRetentionPolicy_ptr | _duplicate (ServantRetentionPolicy_ptr obj)
ServantRetentionPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ServantRetentionPolicy_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| ServantRetentionPolicy (void)
virtual | ~ServantRetentionPolicy (void)
## Private Methods
| ServantRetentionPolicy (const ServantRetentionPolicy &)
void | operator= (const ServantRetentionPolicy &)

## Member Typedef Documentation

typedef ServantRetentionPolicy_ptr PortableServer::ServantRetentionPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef ServantRetentionPolicy_var PortableServer::ServantRetentionPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

PortableServer::ServantRetentionPolicy::ServantRetentionPolicy | ( | void |  | ) | `[protected]`

PortableServer::ServantRetentionPolicy::~ServantRetentionPolicy | ( | void |  | ) | `[protected, virtual]`

PortableServer::ServantRetentionPolicy::ServantRetentionPolicy | ( | const ServantRetentionPolicy & |  | ) | `[private]`

## Member Function Documentation

PortableServer::ServantRetentionPolicy_ptr PortableServer::ServantRetentionPolicy::_duplicate | ( | ServantRetentionPolicy_ptr | obj | ) | `[static]`

const char * PortableServer::ServantRetentionPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

virtual CORBA::Boolean PortableServer::ServantRetentionPolicy::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

ServantRetentionPolicy_ptr PortableServer::ServantRetentionPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

ServantRetentionPolicy_ptr PortableServer::ServantRetentionPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

void PortableServer::ServantRetentionPolicy::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Policy.

CORBA::Boolean PortableServer::ServantRetentionPolicy::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

void PortableServer::ServantRetentionPolicy::operator= | ( | const ServantRetentionPolicy & |  | ) | `[private]`

virtual ::PortableServer::ServantRetentionPolicyValue PortableServer::ServantRetentionPolicy::value | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_Servant_Retention_Policy.

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp